std::basic_iostream::swap(3)

NAME
std::basic_iostream::swap - std::basic_iostream::swap

Synopsis
   protected: (since C++11)
   void swap( basic_iostream& other );
   Exchanges the state with another input/output stream object. Effectively calls
   basic_istream<CharT,Traits>::swap(other).
   This member function is protected: it is called by the swap member functions of the
   derived stream classes std::basic_stringstream and std::basic_fstream, which know
   how to correctly swap the associated stream buffers.

Parameters
   other - another stream to exchange the state with

Return value
   *this